<?php
/**
 * SeoVariableEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Content management
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CmsClient\Dto;
use \Ensi\CmsClient\ObjectSerializer;

/**
 * SeoVariableEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные виды SEO-переменных:   * &#x60;{название товара}&#x60; - название товара (в карточке товара)   * &#x60;{стоимость}&#x60; - стоимость товара (в карточке товара)
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class SeoVariableEnum
{
    
    /** Название товара (в карточке товара) */
    public const PRODUCT_NAME = '{название товара}';
    
    /** Стоимость товара (в карточке товара) */
    public const PRICE = '{стоимость}';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::PRODUCT_NAME,
            self::PRICE,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::PRODUCT_NAME => 'Название товара (в карточке товара)',
            self::PRICE => 'Стоимость товара (в карточке товара)',
        ];
    }
}


